using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mpeg2.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x0f,"PMT")]
    class PrivateDataIndicatorDescriptor : TsDescriptor
    {
        public PrivateDataIndicatorDescriptor(byte[] buffer)
        {
            if (buffer.Length != 4)
                return;

            Array.Reverse(buffer);
            PrivateDataIndicator = BitConverter.ToUInt32(buffer);
            this.Valid = true;
        }

        public uint PrivateDataIndicator { get; private set; }
    }
}
